#SPEC by Julien Catalano
%define	name	wormux

%define	version	0.5.1
%define	release	2

%define	Summary	Free (Libre) clone of Worms from Team17

Summary:	%{Summary}
Name:		%{name}
Version:	%{version}
Release:	%mkrel %{release}
License:	GPL
Group:		Games/Arcade
Url:		http://www.wormux.org/
Source0:	http://download.gna.org/wormux/%name-src-%version.tar.bz2
Source11:	%{name}-16.png
Source12:	%{name}-32.png
Source13:	%{name}-48.png
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

Buildrequires:	libclanlib-devel >=  0.7
Buildrequires:	libxml++1.0-devel


%description
Almost everyone has heard of the Worms(R) series of games, developed by Team17.
Worms was created in 1990, the goal of the game consisting of a several teams 
of "worms" fighting to the death on a 2D map. Wormux is heavily influenced by 
all games in this genre, including Scorched Earth and Liero.

Wormux is free software clone of this game concept. Though currently under 
heavy development, it is already very playable, with lots of weapons 
(Dynamite, Baseball Bat, Teleportation, etc.). There are also lots of maps 
available for your battling pleasure! Wormux takes the genre to the next 
level, with great customisation options leading to great gameplay. There 
is a wide selection of teams, from the Aliens to the Chickens. Also, new 
battlefields can be downloaded from the Internet, making strategy an 
important part of each battle.

Though two human players are currently needed to play (unless you have 
a split personality :) the creation of artificial players and network play 
are future goals. So, start downloading today, and fight to become king of 
the garden! 

%prep
%setup -q

%build
%configure2_5x	--bindir=%{_gamesbindir} \
		--datadir=%{_gamesdatadir}
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std localedir=%{_datadir}/locale


install -m644 %{SOURCE11} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/%{name} << EOF
?package(%name): \
command="%{_gamesbindir}/%{name}" \
needs="X11" \
icon="%{name}.png" \
section="More Applications/Games/Arcade" \
title="Wormux" \
longtitle="%{Summary}"
EOF

%find_lang %{name}

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}
%{_menudir}/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Mon Aug 08 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.5.1-2mdk
- fix locale
- %%mkrel

* Sun May 15 2005 Emmanuel Andry <eandry@free.fr> 0.5.1-1mdk
- 0.5.1

* Sat Mar 12 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.5.0-2mdk
- cosmetics
- do not bzip2 icons in src.rpm
- from Emmanuel Andry <eandry@free.fr> :
	o Rebuild for MDK 10.2

* Mon Dec 20 2004 Julien Catalano <julien.catalano@free.fr> 0.5.0-1mdk
- 0.5.0

* Tue Aug 17 2004 Michael Scherer <misc@mandrake.org> 0.4.0-2mdk 
- fix BuildRequires
- clean BuildRoot

* Sat Jul 03 2004 Michael Scherer <misc@mandrake.org> 0.4.0-1mdk
- some fixs to spec file
- from Julien Catalano <julien.catalano@free.fr>
  o First Mandrake package
